diff -r 34a5db66fc52 src/plugins/doveadm-sieve/doveadm-sieve-plugin.c
--- a/src/plugins/doveadm-sieve/doveadm-sieve-plugin.c	Tue Sep 17 23:57:05 2013 +0200
+++ b/src/plugins/doveadm-sieve/doveadm-sieve-plugin.c	Sun Sep 22 06:57:18 2013 +0300
@@ -241,8 +241,8 @@
 			    struct sieve_storage *svstorage,
 			    const struct mail_attribute_value *value)
 {
-	const unsigned char *data;
-	size_t size;
+	const unsigned char *data = NULL;
+	size_t size = 0;
 	ssize_t ret;
 	char type;
 
@@ -264,8 +264,11 @@
 		return sieve_attribute_set_active(storage, svstorage, value);
 	if (type == MAILBOX_ATTRIBUTE_SIEVE_DEFAULT_SCRIPT)
 		return sieve_attribute_set_active_script(storage, svstorage, value);
-	mail_storage_set_error(storage, MAIL_ERROR_PARAMS,
-			       "Invalid value for default sieve attribute");
+
+	mail_storage_set_error(storage, MAIL_ERROR_PARAMS, t_strdup_printf(
+			       "Invalid value for default sieve attribute: %s",
+			       value->value != NULL ? value->value :
+			       t_strndup(data, size)));
 	return -1;
 }
 
